Bug 121743 - CRASH closing LibreOffice with Parameter dialog open
Summary: CRASH closing LibreOffice with Parameter dialog open
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-11-27 15:35 UTC by Xisco Faulí
Modified: 2018-11-29 15:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-11-27 15:35:48 UTC
Steps to reproduce:
1. Open attachment 118939 [details] from bug 94446
2. Go to Reports
3. Click on Query_Table
4. Parameter Input dialog is prompted
5. Close LibreOffice
-> Crash

Reproduced in

Version: 6.2.0.0.beta1+
Build ID: a63cd8bbe7cf881daa8dc7a7f32f3e5ac384e902
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-11-27 15:36:45 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=f1f0045c74c930c02592db7dd6d7b782729f9ee9

author	Caolán McNamara <caolanm@redhat.com>	2018-10-11 12:05:58 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-11 15:17:36 +0200
commit	f1f0045c74c930c02592db7dd6d7b782729f9ee9 (patch)
tree	bd21b0a3c43b158da0fa49ad56c701e30c123449
parent	282e49b2f7bb3d6993cd2151064d6b2eddfe940b (diff)
weld OParameterDialog

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-11-27 21:09:47 UTC
This presumably is fixed by https://gerrit.libreoffice.org/#/c/64120/ by setting a proper parent for the dialog
Comment 3 Xisco Faulí 2018-11-27 21:30:04 UTC
(In reply to Caolán McNamara from comment #2)
> This presumably is fixed by https://gerrit.libreoffice.org/#/c/64120/ by
> setting a proper parent for the dialog

I can't check the patch right now, but it modifies a java file, while f1f0045c74c930c02592db7dd6d7b782729f9ee9 was on cxx files...
Comment 4 Commit Notification 2018-11-28 08:49:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/bb3c789afca1fe82ea1a5d4be83cc70de4f07065%5E%21

Resolves: tdf#121743 set parent for dialog

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-11-28 11:37:58 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Xisco Faulí 2018-11-28 11:42:50 UTC
I meant

Version: 6.2.0.0.beta1+
Build ID: ce7bb69f8205bcbe36cba4c53bd110e07ef3e05d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded